#ifndef XANIMPARTTRANSFRAMES_H
#define XANIMPARTTRANSFRAMES_H

#include "xasset.h"
#include "xanimdynamicframes.h"
#include "xanimdynamicindices.h"

#include <QVector3D>

class XAnimPartTransFrames : public XAsset
{
public:
    explicit XAnimPartTransFrames();
    ~XAnimPartTransFrames();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

private:
    QVector3D mMins;
    QVector3D mMaxs;
    XAnimDynamicFrames mFrames;
    XAnimDynamicIndices mIndices;
};

#endif // XANIMPARTTRANSFRAMES_H
